Bug 134821

Summary: Slider for file copy dialog to decrease the speed of transfer rate
Product: konqueror Reporter: jg
Component: generalAssignee: Konqueror Developers <konq-bugs>
Status: REOPENED ---    
Severity: wishlist CC: halla, miguel
Priority: NOR    
Version: unspecified   
Target Milestone: ---   
Platform: Ubuntu Packages   
OS: Linux   
Latest Commit: Version Fixed In: 4.9

Description jg 2006-09-28 23:57:13 UTC
Version:            (using KDE KDE 3.5.4)
Installed from:    Ubuntu Packages
OS:                Linux

Hi,

When I copy a lot of data at once in a directory my system becomes slow because the file-transfer is taking all CPU resources.  It averages around 35MB/sec.

Could a slider be added to the dialog to slow the transfer down? Maybe adding some idle time, the slider could be a proportion of 0.5sec delay.  This would allow other processes time to function if the user wanted to reduce the speed.

Could be done using a process priority too perhaps? like "nice" and "renice"

Cheers
Jon
Comment 1 Miguel De Anda 2008-12-19 06:50:32 UTC
omg. i came on this site to add this same feature request. (i thought i was the first to think of it).

anyway, i have my /home on an nfs mount... i'm copying large files to local drive and everything is soooo sluggish. it'd be nice if the copy was, well, nice. having an advanced button on the copy/move dialog would be nice, to show such options.

btw, this seems to be very similar to this one...
https://bugs.kde.org/show_bug.cgi?id=27212
Comment 2 Halla Rempt 2012-06-27 08:33:52 UTC
Git commit f1f36f58b47d9af773cfc0ad770775a43268a21b by Boudewijn Rempt.
Committed on 27/06/2012 at 10:33.
Pushed by rempt into branch 'master'.

Don't notify the undo adaptor if there is no shape selection

M  +10   -6    krita/ui/flake/kis_shape_selection_model.cpp

http://commits.kde.org/calligra/f1f36f58b47d9af773cfc0ad770775a43268a21b
Comment 3 Halla Rempt 2012-06-27 08:34:09 UTC
Git commit 82bbef1854005906330c73dd3ce17f7b53eda6b7 by Boudewijn Rempt.
Committed on 27/06/2012 at 10:33.
Pushed by rempt into branch 'calligra/2.5'.

Don't notify the undo adaptor if there is no shape selection

M  +10   -6    krita/ui/flake/kis_shape_selection_model.cpp

http://commits.kde.org/calligra/82bbef1854005906330c73dd3ce17f7b53eda6b7
Comment 4 Halla Rempt 2012-06-27 12:27:05 UTC
Git commit 324acb59c39065a10e76459691fe8be73032c0c9 by Boudewijn Rempt.
Committed on 27/06/2012 at 14:25.
Pushed by rempt into branch 'master'.

Show selected rows in the layer docker in Windows styles

Adding m_wdgLayerBox->listLayers->setSelectionBehavior(QAbstractItemView::SelectRows);
makes the windows styles paint the selection background for the whole
row. Oxygen-based styles don't need that, apparently, but it cannot
hurt.

M  +1    -0    krita/plugins/extensions/dockers/defaultdockers/kis_layer_box.cpp

http://commits.kde.org/calligra/324acb59c39065a10e76459691fe8be73032c0c9
Comment 5 Halla Rempt 2012-06-27 12:27:27 UTC
Git commit 58d4edea0aabe8d92ba3e8f7a2705ac195160ef3 by Boudewijn Rempt.
Committed on 27/06/2012 at 14:25.
Pushed by rempt into branch 'calligra/2.5'.

Show selected rows in the layer docker in Windows styles

Adding m_wdgLayerBox->listLayers->setSelectionBehavior(QAbstractItemView::SelectRows);
makes the windows styles paint the selection background for the whole
row. Oxygen-based styles don't need that, apparently, but it cannot
hurt.

M  +1    -0    krita/plugins/extensions/dockers/defaultdockers/kis_layer_box.cpp

http://commits.kde.org/calligra/58d4edea0aabe8d92ba3e8f7a2705ac195160ef3
Comment 6 Halla Rempt 2012-06-27 12:37:01 UTC
Argh, I pasted the wrong number in my commits.